> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Noise Thresholds

> Returns a list of all [noise thresholds](https://docs.seam.co/capability-guides/noise-sensors/configure-noise-threshold-settings) for a [noise sensor](https://docs.seam.co/capability-guides/noise-sensors).



## OpenAPI

````yaml /openapi.json post /noise_sensors/noise_thresholds/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /noise_sensors/noise_thresholds/list:
    post:
      tags:
        - /noise_sensors
      summary: List Noise Thresholds
      description: >-
        Returns a list of all [noise
        thresholds](https://docs.seam.co/capability-guides/noise-sensors/configure-noise-threshold-settings)
        for a [noise
        sensor](https://docs.seam.co/capability-guides/noise-sensors).
      operationId: noiseSensorsNoiseThresholdsListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: >-
                    ID of the device for which you want to list noise
                    thresholds.
                  format: uuid
                  type: string
                is_programmed:
                  description: >-
                    Enables you to limit the returned noise thresholds by
                    whether they are programmed on the noise sensor. To list
                    only noise thresholds that are programmed on the noise
                    sensor, set this parameter to `true`. To list only noise
                    thresholds that are not programmed on the noise sensor, se
                    this parameter to `false`.
                  type: boolean
                  x-undocumented: Not sure if this parameter is supported or what it does.
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  noise_thresholds:
                    items:
                      $ref: '#/components/schemas/noise_threshold'
                    type: array
                  ok:
                    type: boolean
                required:
                  - noise_thresholds
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.noiseSensors.noiseThresholds.list({
              device_id: "a60d1a44-5727-4223-8b58-9c2455eb57fc",
            });

            /*
            [
              {
                "device_id": "a60d1a44-5727-4223-8b58-9c2455eb57fc",
                "ends_daily_at": "2025-06-19T12:38:44.000Z",
                "name": "My Noise Sensor",
                "noise_threshold_decibels": 50,
                "noise_threshold_id": "f8cef69d-625f-464c-aed4-287c06e0d7fe",
                "noise_threshold_nrs": 40,
                "starts_daily_at": "2025-06-20T18:29:57.000Z"
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/noise_sensors/noise_thresholds/list" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "a60d1a44-5727-4223-8b58-9c2455eb57fc"
            }

            EOF


            # Response:

            # {

            #   "noise_thresholds": [

            #     {

            #       "device_id": "a60d1a44-5727-4223-8b58-9c2455eb57fc",

            #       "ends_daily_at": "2025-06-19T12:38:44.000Z",

            #       "name": "My Noise Sensor",

            #       "noise_threshold_decibels": 50,

            #       "noise_threshold_id":
            "f8cef69d-625f-464c-aed4-287c06e0d7fe",

            #       "noise_threshold_nrs": 40,

            #       "starts_daily_at": "2025-06-20T18:29:57.000Z"

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.noise_sensors.noise_thresholds.list(
                device_id="a60d1a44-5727-4223-8b58-9c2455eb57fc"
            )

            # [
                NoiseThreshold(
                    device_id="a60d1a44-5727-4223-8b58-9c2455eb57fc",
                    ends_daily_at="2025-06-19T12:38:44.000Z",
                    name="My Noise Sensor",
                    noise_threshold_decibels=50,
                    noise_threshold_id="f8cef69d-625f-464c-aed4-287c06e0d7fe",
                    noise_threshold_nrs=40,
                    starts_daily_at="2025-06-20T18:29:57.000Z",
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.noise_sensors.noise_thresholds.list(device_id:
            "a60d1a44-5727-4223-8b58-9c2455eb57fc")


            # => [
              {
                "device_id" => "a60d1a44-5727-4223-8b58-9c2455eb57fc",
                "ends_daily_at" => "2025-06-19T12:38:44.000Z",
                "name" => "My Noise Sensor",
                "noise_threshold_decibels" => 50,
                "noise_threshold_id" => "f8cef69d-625f-464c-aed4-287c06e0d7fe",
                "noise_threshold_nrs" => 40,
                "starts_daily_at" => "2025-06-20T18:29:57.000Z",
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->noise_sensors->noise_thresholds->list(
                device_id: "a60d1a44-5727-4223-8b58-9c2455eb57fc",
            );

            // [
                [
                    "device_id" => "a60d1a44-5727-4223-8b58-9c2455eb57fc",
                    "ends_daily_at" => "2025-06-19T12:38:44.000Z",
                    "name" => "My Noise Sensor",
                    "noise_threshold_decibels" => 50,
                    "noise_threshold_id" => "f8cef69d-625f-464c-aed4-287c06e0d7fe",
                    "noise_threshold_nrs" => 40,
                    "starts_daily_at" => "2025-06-20T18:29:57.000Z",
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam noise-sensors noise-thresholds list --device_id
            "a60d1a44-5727-4223-8b58-9c2455eb57fc"


            # [

            #   {

            #     "device_id": "a60d1a44-5727-4223-8b58-9c2455eb57fc",

            #     "ends_daily_at": "2025-06-19T12:38:44.000Z",

            #     "name": "My Noise Sensor",

            #     "noise_threshold_decibels": 50,

            #     "noise_threshold_id": "f8cef69d-625f-464c-aed4-287c06e0d7fe",

            #     "noise_threshold_nrs": 40,

            #     "starts_daily_at": "2025-06-20T18:29:57.000Z"

            #   }

            # ]
components:
  schemas:
    noise_threshold:
      description: >-
        Represents a [noise
        threshold](https://docs.seam.co/capability-guides/noise-sensors/configure-noise-threshold-settings)
        for a [noise
        sensor](https://docs.seam.co/capability-guides/noise-sensors).
        Thresholds represent the limits of noise tolerated at a property, which
        can be customized for each hour of the day. Each device has its own
        default thresholds, but you can use the Seam API to modify them.
      properties:
        device_id:
          description: Unique identifier for the device that contains the noise threshold.
          format: uuid
          type: string
        ends_daily_at:
          description: Time at which the noise threshold should become inactive daily.
          type: string
        name:
          description: Name of the noise threshold.
          type: string
        noise_threshold_decibels:
          description: Noise level in decibels for the noise threshold.
          format: float
          type: number
        noise_threshold_id:
          description: Unique identifier for the noise threshold.
          format: uuid
          type: string
        noise_threshold_nrs:
          description: >-
            Noise level in Noiseaware Noise Risk Score (NRS) for the noise
            threshold. This parameter is only relevant for [Noiseaware
            sensors](https://docs.seam.co/device-and-system-integration-guides/noiseaware-sensors).
          format: float
          type: number
        starts_daily_at:
          description: Time at which the noise threshold should become active daily.
          type: string
      required:
        - noise_threshold_id
        - device_id
        - name
        - starts_daily_at
        - ends_daily_at
        - noise_threshold_decibels
      type: object
      x-route-path: /noise_sensors/noise_thresholds
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````